## cascading.tuple.hadoop
Class SerializationElementReader

    java.lang.Object
      cascading.tuple.hadoop.SerializationElementReader

All Implemented Interfaces:
  TupleInputStream.ElementReader

    public class SerializationElementReader

extends Object
implements TupleInputStream.ElementReader

Constructor Summary
`SerializationElementReader(TupleSerialization tupleSerialization)` Constructor SerializationElementReader creates a new SerializationElementReader instance.

Method Summary
`void` `close()`
`String` `getClassNameFor(int token, DataInputStream inputStream)`
`Comparator` `getComparatorFor(int token, DataInputStream inputStream)`
`Object` `read(int token, DataInputStream inputStream)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializationElementReader

    public SerializationElementReader(TupleSerialization tupleSerialization)

  Constructor SerializationElementReader creates a new SerializationElementReader instance.

  Parameters:
    `tupleSerialization` - of type TupleSerialization

Method Detail

### read

    public Object read(int token,
                       DataInputStream inputStream)
                throws IOException

  Specified by:
    `read` in interface `TupleInputStream.ElementReader`
  Throws:
    `IOException`

### getComparatorFor

    public Comparator getComparatorFor(int token,
                                       DataInputStream inputStream)
                                throws IOException

  Specified by:
    `getComparatorFor` in interface `TupleInputStream.ElementReader`
  Throws:
    `IOException`

### getClassNameFor

    public String getClassNameFor(int token,
                                  DataInputStream inputStream)
                           throws IOException

  Throws:
    `IOException`

### close

    public void close()

  Specified by:
    `close` in interface `TupleInputStream.ElementReader`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.